var ChartColor = ["#5D62B4", "#54C3BE", "#EF726F", "#F9C446", "rgb(93.0, 98.0, 180.0)", "#21B7EC", "#04BCCC"];
var primaryColor = getComputedStyle(document.body).getPropertyValue('--primary');
var secondaryColor = getComputedStyle(document.body).getPropertyValue('--secondary');
var successColor = getComputedStyle(document.body).getPropertyValue('--success');
var warningColor = getComputedStyle(document.body).getPropertyValue('--warning');
var dangerColor = getComputedStyle(document.body).getPropertyValue('--danger');
var infoColor = getComputedStyle(document.body).getPropertyValue('--info');
var darkColor = getComputedStyle(document.body).getPropertyValue('--dark');
var lightColor = getComputedStyle(document.body).getPropertyValue('--light');

(function ($) {
    'use strict';
    $(function () {
        var body = $('body');
        var contentWrapper = $('.content-wrapper');
        var scroller = $('.container-scroller');
        var footer = $('.footer');
        var sidebar = $('.sidebar');

        //Add active class to nav-link based on url dynamically
        //Active class can be hard coded directly in html file also as required

        function addActiveClass(element) {
            if (current === "") {
                //for root url
                //console.log(element.attr('href'));
                if (element.attr('href').indexOf("index") !== -1) {
                    element.parents('.nav-item').last().addClass('active');
                    if (element.parents('.sub-menu').length) {
                        element.closest('.collapse').addClass('show');
                        element.addClass('active');
                    }
                }
            } else {
                //for other url
                //console.log(element.attr('href'));
              
                    if (element.attr('href').indexOf(current) !== -1 && element.attr('href').indexOf(current2) !== -1) {
                        if (type !== '') {
                            if (element.attr('href').indexOf(type) === -1)
                                return;
                        }
                        element.parents('.nav-item').last().addClass('active');
                        if (element.parents('.sub-menu').length) {
                            element.closest('.collapse').addClass('show');
                            element.addClass('active');
                        }
                        if (element.parents('.submenu-item').length) {
                            element.addClass('active');
                        }
                    }
             
              
            }
        }
        //console.log("location.pathname=" + location.pathname);
        var current = location.pathname.split("/").slice(2)[0];
        var root = location.pathname.split("/")[1];

        var urlParams = new URLSearchParams(window.location.search);
        //console.log('1type=' + urlParams.get('Type'));
        var type = '';
        if (urlParams.get('Type') !== null)
            type = encodeURIComponent( urlParams.get('Type'));
        //console.log('2type=' + type);
        if (current !== undefined) {
            //console.log('current=' + current);
            current = current.replace(/^\/|\/$/g, '');

        }

        let current2 = "";
        if (current === "GetReport") {
            let githubURL = new URL(location.href);
            let params = githubURL.searchParams;
            var type = params.get('Type');
            current2 = encodeURIComponent(type);

        } else
            current2 = root;
        $('.nav li a', sidebar).each(function () {
            var $this = $(this);

            addActiveClass($this);
        });

        //$('.horizontal-menu .nav li a').each(function () {
        //    var $this = $(this);
        //    addActiveClass($this);
        //});

        //Close other submenu in sidebar on opening any

        sidebar.on('show.bs.collapse', '.collapse', function () {
            sidebar.find('.collapse.show').collapse('hide');
        });


        //Change sidebar and content-wrapper height
        applyStyles();

        function applyStyles() {
            //Applying perfect scrollbar
            if (!body.hasClass("rtl")) {
                if (body.hasClass("sidebar-fixed")) {
                    var fixedSidebarScroll = new PerfectScrollbar('#sidebar .nav');
                }
            }
        }

        $('[data-toggle="minimize"]').on("click", function () {
            if ((body.hasClass('sidebar-toggle-display')) || (body.hasClass('sidebar-absolute'))) {
                body.toggleClass('sidebar-hidden');
            } else {
                body.toggleClass('sidebar-icon-only');
            }
        });

        //checkbox and radios
        $(".form-check label,.form-radio label").append('<i class="input-helper"></i>');

        //fullscreen
        $("#fullscreen-button").on("click", function toggleFullScreen() {
            if ((document.fullScreenElement !== undefined && document.fullScreenElement === null) || (document.msFullscreenElement !== undefined && document.msFullscreenElement === null) || (document.mozFullScreen !== undefined && !document.mozFullScreen) || (document.webkitIsFullScreen !== undefined && !document.webkitIsFullScreen)) {
                if (document.documentElement.requestFullScreen) {
                    document.documentElement.requestFullScreen();
                } else if (document.documentElement.mozRequestFullScreen) {
                    document.documentElement.mozRequestFullScreen();
                } else if (document.documentElement.webkitRequestFullScreen) {
                    document.documentElement.webkitRequestFullScreen(Element.ALLOW_KEYBOARD_INPUT);
                } else if (document.documentElement.msRequestFullscreen) {
                    document.documentElement.msRequestFullscreen();
                }
            } else {
                if (document.cancelFullScreen) {
                    document.cancelFullScreen();
                } else if (document.mozCancelFullScreen) {
                    document.mozCancelFullScreen();
                } else if (document.webkitCancelFullScreen) {
                    document.webkitCancelFullScreen();
                } else if (document.msExitFullscreen) {
                    document.msExitFullscreen();
                }
            }
        })
    });
})(jQuery);